Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.pb.portlet
Interface PropertyListener

Deprecated. since 6.0.1 Support of the IBM portlet API may be removed in a future release of WebSphere Portal. Use of the Java Portlet API (javax.portlet) is recommended instead.

    public interface PropertyListener

This interface may optionally be implemented by portlets written to the IBM portlet API.

It is an alternate mechanism by which interested portlets may be notified of changed properties propagated through WebSphere Portal's property broker. Other options are for the portlet to be notified through portlet actions (the `actionPerformed` method of the `ActionListener` interface), or through struts actions. The `PropertyListener` interface may be implemented by portlets that only need to update their current state based on property changes, rather than execute an action immediately. Multiple property changes can be passed in at the same time using the `setProperties` method defined in this interface, unlike the alternative of using `actionPerformed`, in which each action can currently only retrieve a single property change. Also, another advantage over using `actionPerformed` is that only a (name, value) pair for the property can be passed using `actionPerformed`, but using the `setProperties` method, the entire `PropertyValue` object can be obtained, which provides additional metadata associated with the property value.

Since:
  5.0
See Also:
  `PropertyBrokerService`, `PropertyValue`, `org.apache.jetspeed.portlet.event.ActionListener`
Note:

  This interface is designed to be implemented by clients.

Method Summary
`void` | `setProperties(org.apache.jetspeed.portlet.PortletRequest request, PropertyValue[] properties)` Deprecated. Invoked by the Property Broker to deliver new property values which were changed in the current event cycle of the current request.

Method Detail

### setProperties

    void setProperties(org.apache.jetspeed.portlet.PortletRequest request,
                       PropertyValue[] properties)

  Deprecated.
  Invoked by the Property Broker to deliver new property values which were changed in the current event cycle of the current request. The Property Broker may be notified of such changes when a portlet invokes the `changedProperties` in the `PropertyBrokerService` interface (explicit notification), or when a portlet action which has declared output parameters is invoked (implicit notification). `setProperties` is only invoked during the event phase. Since multiple explicit or implicit property change notifications may be made during an event cycle, one or more `setProperties` calls may be invoked on a single portlet instance during a single event cycle. The runtime may batch property values from multiple `changedProperties` calls in a single `setProperties` call. All properties are guaranteed to be delivered before the first `endEventPhase` call is delivered, which marks the start of the render phase.

  Parameters:
    `request` - the `PortletRequest` object for the current request
    `properties` - an array of `PropertyValue` objects containing the the changed properties and their values.
  See Also:
    `PropertyBrokerService`, ``changedProperties``, `EventPhaseListener`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD